#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

Name:           task-plasma5
Version:        5.20.4
Release:        %mkrel 2
Summary:        Metapackage for Plasma 5
Group:          Graphical desktop/KDE
License:        GPLv2
BuildArch:      noarch
Requires:       task-plasma5-minimal = %version-%release

Requires:       kinfocenter
Requires:       ksysguard
Requires:       spectacle

Recommends:     kdepim
Recommends:     gwenview
Recommends:     kgamma5
Recommends:     kdeconnect-kde
Recommends:     kruler
Recommends:     kcolorchooser
Recommends:     kolourpaint
Recommends:     svgpart
Recommends:     kdegraphics-thumbnailers
Recommends:     kdegraphics-mobipocket
Recommends:     kdeplasma-addons
Recommends:     kmouth
Recommends:     kmousetool
Recommends:     kmag

Recommends:     kcharselect
Recommends:     ktimer
Recommends:     kcron

Recommends:     plasma5-irc-client
Recommends:     digikam
Recommends:     kamera

Obsoletes:      task-kde4 < 3:5.0.0
Provides:       task-kde4 = %version-%release

%description
This package is a meta-package, meaning that its purpose is to contain
the complete dependencies for running the Plasma 5 desktop ( plus digikam,
calligra, ...)

%files


#---------------------------------------------------------------------

%package    minimal
Summary:    Minimal dependencies needed by Plasma 5
Group:      Graphical desktop/KDE

Requires:   task-x11
Requires:   dbus-x11

Requires:   plasma-workspace
Requires:   systemsettings
Requires:   plasma-desktop
Requires:   oxygen-fonts

Requires:   phonon4qt5-gstreamer

Requires:   sddm

Requires:   khelpcenter

Requires:   gwenview
Requires:   dolphin
Requires:   ark
Requires:   kcalc
Requires:   plasma-pa
Requires:   kde-gtk-config

Requires:   konqueror
Requires:   kwalletmanager
Requires:   kdialog
Requires:   kmozillahelper
Requires:   kwrite
Requires:   okular

Recommends: task-pulseaudio
Recommends: phonon4qt5-vlc

Recommends: drakconf
Recommends: mageiawelcome

Recommends: dragon
Recommends: elisa

Recommends: pam-kwallet

Recommends: preload
Recommends: readahead

Recommends: konq-plugins

Obsoletes:  task-kde4-minimal < 3:5.0.0
Provides:   task-kde4-minimal = %version-%release

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal Plasma 5 desktop environment.

%files minimal

#------------------------------------------------------------------------
# task-plasma5-handbooks is used to install plasma5 handbooks needed on systems
# installed from Plasma 5 liveCD.
# task-plasma5-handbooks's suggests should fit the Plasma 5 liveCD contents.

%package    handbooks
Summary:    Metapackage handbooks for Plasma 5 LiveCDs
Group:      Graphical desktop/KDE

%description handbooks
This package is a meta-package, meaning that its purpose is to contain
the complete handbooks for the Plasma 5 desktop installed by LiveCDs.

#%%files handbooks

#------------------------------------------------------------------------
# task-plasma5-handbooks-dvd pulls in the iso DVD the handbooks for the plasma5
# components available on the DVD.
# (by meta-task / rpmsrate-raw section INSTALL)
# task-plasma5-handbooks-dvd's requires should fit the iso DVD content.

%package    handbooks-dvd
Summary:    Metapackage handbooks used by dvd builder
Group:      Graphical desktop/KDE

%description handbooks-dvd
This package is a meta-package used by the iso dvd builder.
It shouldn't be installed on a system.

#%%files handbooks-dvd

#--------------------------------------------------------------------

%package   devel
Summary:   Metapackage for KDE development
Group:     Development/KDE and Qt
Requires:  task-plasma5
Requires:  task-c++-devel

%description devel
This package is a meta-package, meaning that its purpose is to contain
dependencies for installing a KDE development environment.

#%%files devel

#--------------------------------------------------------------------


%changelog
* Tue Jan 19 2021 daviddavid <daviddavid> 5.20.4-2.mga8
+ Revision: 1672523
- add kdeconnect-kde as a default recommended dependency
- remove telepathy-kde as a default recommended dependency

* Tue Dec 15 2020 daviddavid <daviddavid> 5.20.4-1.mga8
+ Revision: 1657619
- New version 5.15.4

* Mon Nov 16 2020 daviddavid <daviddavid> 5.20.3-1.mga8
+ Revision: 1646456
- New version 5.20.3

* Fri Oct 30 2020 daviddavid <daviddavid> 5.20.2-1.mga8
+ Revision: 1640589
- New version 5.20.2

* Fri Oct 23 2020 daviddavid <daviddavid> 5.20.1-1.mga8
+ Revision: 1638673
- New version 5.20.1

* Thu Sep 03 2020 daviddavid <daviddavid> 5.19.5-1.mga8
+ Revision: 1621325
- New version 5.19.5

* Fri Jul 31 2020 daviddavid <daviddavid> 5.19.4-1.mga8
+ Revision: 1609952
- New version 5.19.4

* Sat Jul 11 2020 daviddavid <daviddavid> 5.19.3-1.mga8
+ Revision: 1604503
- New version 5.19.3

* Fri Jun 19 2020 daviddavid <daviddavid> 5.19.1-1.mga8
+ Revision: 1596579
- New version 5.19.1

* Sat May 09 2020 daviddavid <daviddavid> 5.18.5-1.mga8
+ Revision: 1581901
- New version 5.18.5
- replace old Qt4 xsettings-kde for kde-gtk-config (mga#26449)

* Thu Mar 19 2020 daviddavid <daviddavid> 5.18.3-1.mga8
+ Revision: 1557952
- New version 5.18.3

* Wed Feb 26 2020 daviddavid <daviddavid> 5.18.2-1.mga8
+ Revision: 1550778
- New version 5.18.2

* Tue Feb 25 2020 daviddavid <daviddavid> 5.18.1-1.mga8
+ Revision: 1550219
- New version 5.18.1

* Tue Feb 18 2020 umeabot <umeabot> 5.18.0-2.mga8
+ Revision: 1539586
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 daviddavid <daviddavid> 5.18.0-1.mga8
+ Revision: 1513159
- New version 5.18.0

* Mon Dec 09 2019 daviddavid <daviddavid> 5.17.4-1.mga8
+ Revision: 1465321
- New version 5.17.4

* Sun Nov 03 2019 daviddavid <daviddavid> 5.17.2-1.mga8
+ Revision: 1457391
- New version 5.17.2

* Fri Oct 25 2019 daviddavid <daviddavid> 5.17.1-1.mga8
+ Revision: 1455730
- New version 5.17.1

* Wed Oct 16 2019 daviddavid <daviddavid> 5.17.0-1.mga8
+ Revision: 1453941
- New version 5.17.0

* Sat Oct 05 2019 daviddavid <daviddavid> 5.16.90-1.mga8
+ Revision: 1449415
- New version 5.16.90

* Thu Sep 26 2019 daviddavid <daviddavid> 5.16.5-1.mga8
+ Revision: 1446218
- New version 5.16.5

* Thu Aug 01 2019 daviddavid <daviddavid> 5.16.4-1.mga8
+ Revision: 1426641
- New version 5.16.4

* Fri Jul 26 2019 daviddavid <daviddavid> 5.16.3-1.mga8
+ Revision: 1424177
- New version 5.16.3

* Wed Apr 10 2019 daviddavid <daviddavid> 5.15.4-1.mga7
+ Revision: 1388153
- New version 5.15.4

* Thu Mar 14 2019 daviddavid <daviddavid> 5.15.3-1.mga7
+ Revision: 1376324
- New version 5.15.3

* Fri Mar 01 2019 daviddavid <daviddavid> 5.15.2-1.mga7
+ Revision: 1370857
- New version 5.15.2

* Wed Feb 20 2019 daviddavid <daviddavid> 5.15.1-1.mga7
+ Revision: 1368889
- New version 5.15.1

* Sun Feb 17 2019 neoclust <neoclust> 5.15.0-1.mga7
+ Revision: 1367824
- New version 5.15.0

* Thu Jan 31 2019 daviddavid <daviddavid> 5.14.5-2.mga7
+ Revision: 1362112
- rebuild in core/release
- New version 5.14.5

* Wed Dec 19 2018 daviddavid <daviddavid> 5.14.4-1.mga7
+ Revision: 1342809
- New version 5.14.4

* Fri Oct 26 2018 daviddavid <daviddavid> 5.14.2-1.mga7
+ Revision: 1325598
- New version 5.14.2

* Fri Sep 21 2018 umeabot <umeabot> 5.13.4-2.mga7
+ Revision: 1291745
- Mageia 7 Mass Rebuild

* Sun Aug 19 2018 daviddavid <daviddavid> 5.13.4-1.mga7
+ Revision: 1252732
- New version: 5.13.4

* Mon Feb 26 2018 daviddavid <daviddavid> 5.12.2-1.mga7
+ Revision: 1205262
- New version 5.12.2

* Thu Feb 15 2018 daviddavid <daviddavid> 5.12.1-1.mga7
+ Revision: 1201406
- New version 5.12.1

* Sat Dec 30 2017 daviddavid <daviddavid> 5.11.4-1.mga7
+ Revision: 1187576
- New version 5.11.4

* Sun Oct 29 2017 daviddavid <daviddavid> 5.11.2-1.mga7
+ Revision: 1174864
- New version 5.11.2

* Fri Oct 20 2017 neoclust <neoclust> 5.11.1-2.mga7
+ Revision: 1172927
- Fix phonon4qt5-gstreamer package name ( thanks to LpSolit )

* Fri Oct 20 2017 daviddavid <daviddavid> 5.11.1-1.mga7
+ Revision: 1172834
- New version 5.11.1
+ neoclust <neoclust>
- Requires both phonon engines

* Sun Jul 23 2017 neoclust <neoclust> 5.10.4-1.mga7
+ Revision: 1129628
- New version 5.10.4

* Mon May 29 2017 neoclust <neoclust> 5.8.7-2.mga6
+ Revision: 1105453
- Clean description

* Sun May 28 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1105308
- New version 5.8.7

* Thu May 25 2017 neoclust <neoclust> 5.8.6-2.mga6
+ Revision: 1104615
- Make spectacle mandatory

* Fri Mar 10 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1091469
- New version 5.8.6

* Wed Dec 28 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078390
- New version 5.8.5

* Wed Nov 30 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1071114
- new version 5.8.4

* Sun Oct 23 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063289
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060471
- New version 5.8.1

* Sat Oct 01 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057952
- New version 5.8.0

* Thu Sep 22 2016 neoclust <neoclust> 5.7.95-2.mga6
+ Revision: 1055238
- Try to fix update

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053080
- New version 5.8 Beta

* Thu Sep 15 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052974
- New version 5.7.5

* Sat Aug 27 2016 daviddavid <daviddavid> 5.7.4-1.mga6
+ Revision: 1049259
- New version 5.7.4

* Fri Aug 05 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044634
- New version 5.7.3

* Sat Jul 30 2016 daviddavid <daviddavid> 5.7.2-3.mga6
+ Revision: 1044008
- remove no more needed kmenuedit as a Requires as it was added in plasma-desktop

* Thu Jul 21 2016 neoclust <neoclust> 5.7.2-2.mga6
+ Revision: 1042985
- Recommends telepathy-kde

* Wed Jul 20 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042778
- New version 5.7.2

* Thu Jul 14 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041981
- New version 5.7.1

* Sat Jul 09 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039971
- Requires plasma-pa
- New version 5.7.0

* Sat May 28 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1019046
- Recommends spectacle

* Thu Mar 24 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 995167
- New version 5.6.0

* Mon Jan 11 2016 zezinho <zezinho> 5.3.95-2.mga6
+ Revision: 921692
- add require on kinfocenter as it is adverted in plasma 5.18 release
+ neoclust <neoclust>
- New version Plasma 5.4 Beta
- Enable plasma Requires

* Sat Jul 18 2015 lmenut <lmenut> 5.3.2-2.mga6
+ Revision: 855157
- obsoletes task-kde4 & task-kde4-minimal
- fix Requires & Recommends
+ neoclust <neoclust>
- Remove epoch

* Sat Jul 18 2015 neoclust <neoclust> 3:5.3.2-1.mga6
+ Revision: 855118
- Fix Epoch to allow update from task-kde4

* Mon Jul 13 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 853509
- New version 5.3.2

* Mon May 04 2015 neoclust <neoclust> 5.1.2-4.mga5
+ Revision: 821214
- Add Requires

* Tue Dec 30 2014 neoclust <neoclust> 5.1.2-3.mga5
+ Revision: 807513
- Requires plasma konsole

* Tue Dec 30 2014 sander85 <sander85> 5.1.2-2.mga5
+ Revision: 807278
- Plasma 5 needs dbus-x11 to start properly

* Tue Dec 23 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804986
- Fix requires in plasma-desktop mga#14868

* Sun Oct 26 2014 lmenut <lmenut> 5.0.1-5.mga5
+ Revision: 793512
- add conflicts with task-kde4-minimal
  Plasma 4 and Plasma 5 are not co-installable

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-4.mga5
+ Revision: 739753
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-3.mga5
+ Revision: 689711
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 lmenut <lmenut> 5.0.1-2.mga5
+ Revision: 664969
- remove epoch from requires

* Sun Aug 17 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 664922
- imported package task-plasma5

